import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungInputFachwahl extends JavaObject {
    enmRevision: number;
    id: number;
    schueler: number;
    fach: number;
    kursart: number;
    representation: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungInputFachwahl;
    static transpilerToJSON(obj: KursblockungInputFachwahl): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungInputFachwahl>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungInputFachwahl(obj: unknown): KursblockungInputFachwahl;
